javax.media.j3d

## Class WakeupOnSensorExit

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion
    - - javax.media.j3d.WakeupOnSensorExit

-     public final class WakeupOnSensorExit
      extends WakeupCriterion

  Class specifying a wakeup on first detection of sensors no longer intersecting the specified boundary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupOnSensorExit(Bounds region)` Constructs a new WakeupOnExit criterion.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Bounds` | `getBounds()` Returns this object's bounds specification
    `Sensor` | `getTriggeringSensor()` Retrieves the Sensor object that caused the wakeup.

    - ### Methods inherited from class javax.media.j3d.WakeupCriterion

      `hasTriggered`

    - ### Methods inherited from class javax.media.j3d.WakeupCondition

      `allElements, triggeredElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WakeupOnSensorExit

          public WakeupOnSensorExit(Bounds region)

      Constructs a new WakeupOnExit criterion.
      Parameters:
        `region` - the region that will trigger a wakeup if a Sensor intersects.

  - ### Method Detail

    - #### getBounds

          public Bounds getBounds()

      Returns this object's bounds specification
      Returns:
        the bounds used in constructing this WakeupCriterion.

    - #### getTriggeringSensor

          public Sensor getTriggeringSensor()

      Retrieves the Sensor object that caused the wakeup.
      Returns:
        the triggering Sensor object
      Throws:
        `java.lang.IllegalStateException` - if not called from within a behavior's processStimulus method which was awoken by a sensor exit.
      Since:
        Java 3D 1.2

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.